Subject: Re: libwww compilation
From: jeremy ekers <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 Apr 2004 09:22:30 +0100

Following on from my earlier post, I have compiled libwww v5.4 without
the expat contained within it, using

	configure --without-expat

but this doesn't work with the latest CVS; it tries to compile it
anyway. Does this mean that part of libwww won't work? My final
destination in all this is compiling xmlrpc-c.

ahnkle wrote:

|
| Hi
|
| I am trying to compile libwww, but not having much success. Has anyone
| compiled the latest CVS recently? I have looked through the mailing
| lists for cygwin and libwww, and the cygwin FAQ.
|
| During the making of expat, one of the libwww libraries, I get the
| following:
|
| ====================================================================
| | /bin/bash ./libtool --silent --mode=link gcc -g -O2 -Wall
| -Wmissing-prototypes -Wstrict-prototypes -fexceptions   -I./lib -I.
| -no-undefined -version-i
| | nfo 4:0:4 -rpath /usr/local/lib  -o libexpat.la lib/xmlparse.lo
| lib/xmltok.lo lib/xmlrole.lo
| |
|
/usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/../../../libcygwin.a(libcmain.o)(.text+0x7c):

|
| undefined reference to `_WinMain@16'
| ====================================================================
|
| Any help welcome.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/